# This is spring boot config server
# Version 2.1

FROM openjdk:8u212-jdk-alpine

MAINTAINER xiusong.xie@northking.net

EXPOSE 8030

VOLUME ["/home/nk_cloud/config"]

ADD nk-cloud-config.ms.jar .
ADD application.yml .


ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone


WORKDIR /home/nk_cloud/config

ENV JAVA_OPTS="-Xmx128m"


ENTRYPOINT ["sh", "-c", "java -jar ${JAVA_OPTS} /nk-cloud-config.ms.jar --spring.config.location=/application.yml > start.log " ]


